Attention BETA 1.06 upgraders! (Full Version)

All Forums >> [New Releases from Matrix Games] >> Empires in Arms the Napoleonic Wars of 1805 - 1815



Message


Marshall Ellis -> Attention BETA 1.06 upgraders! (5/1/2009 3:34:58 PM)

Hey guys:

REMEMBER! If you are in a pbem game and you want to upgrade to 1.06 then make sure that ALL players upgrade! If you do not then remember the 1.06 players will spend less money on their ships than others using 1.05!




Page: [1]

Valid CSS!




Forum Software © ASPPlayground.NET Advanced Edition 2.4.5 ANSI
1.757813E-02